Library Version 18.1.40

operator=
Prev | Chapter 13. Db_vector_iterator | Next

## operator=

### Function Details

    const self& operator=(const self &itr)

Assignment operator.

This iterator will point to the same key/data pair as itr, and have the same configurations as itr.

#### Parameters

##### itr

The right value of the assignment.

#### Return Value

This iterator's reference.

#### See Also

db_base_iterator::operator=(const self&)

### Group: Iterator movement operators.

These functions have identical behaviors and semantics as those of db_vector_base_iterator , so please refer to equivalent in that class.

### Class

db_vector_iterator

Prev | Up | Next
operator-- | Home | operator+